# Thread events

Thread events notify the creation (`CreateThread`) or termination (`TerminateThread`) of threads within the process' address space. In situations where a process spawns a remote thread that runs in other process' address space, the `CreateThread` event is also triggered.
Thread events are comprised of the following parameters:

- `pid` identifies the process where the thread was created. If this value is not equal to the `pid` of the process generating the event, then the thread is created in remote process.
- `tid` represents the identifier of the freshly spawn thread.
- `base_prio` is the scheduler priority of the thread.
- `page_prio` is a memory page priority hint for memory pages accessed by the thread.
- `io_prio` represents an I/O priority hint for scheduling I/O operations generated by the thread.
- `ustack_base` is the base address of the thread's user space stack.
- `ustack_limit` is the limit of the thread's user space stack.
- `kstack_base` is the base address of the thread's kernel space stack.
- `kstack_limit` is the limit of the thread's kernel space stack.
- `entrypoint` is the starting address of the function to be executed by the thread.
